package com.railway.web.controller.business.baseinfo;

import com.railway.business.baseinfo.domain.BasePreventIce;
import com.railway.business.baseinfo.service.IBasePreventIceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.WebDataBinder;
import com.railway.common.core.controller.BaseController;
import com.railway.common.core.domain.AjaxResult;
import com.railway.common.core.page.TableDataInfo;
import javax.validation.Valid;
import java.util.List;

import javax.validation.Valid;

@Api(value = "rest/baseinfo/base/prevent/ice", tags = "基础数据-九防台账-防冰")
@RestController
@Validated
@RequestMapping(value = "business/baseinfo/base/prevent/ice")
public class BasePreventIceController extends BaseController {
    @Autowired
    private IBasePreventIceService basePreventIceService;

    @ApiOperation(value = "新增")
    @PostMapping("/add")
    public AjaxResult add(@Validated @RequestBody BasePreventIce basePreventIce) {
        return toAjax(basePreventIceService.create(basePreventIce));
    }

    @ApiOperation(value = "删除")
    @DeleteMapping("/{ids}")
    public AjaxResult delete(@RequestParam String[] ids) {
        return toAjax(basePreventIceService.delete(ids));
    }

    @ApiOperation(value = "更新")
    @PutMapping("/update")
    public AjaxResult update(@RequestBody @Valid BasePreventIce basePreventIce) {
        return toAjax(basePreventIceService.update(basePreventIce));
    }

    @ApiOperation(value = "单个")
    @GetMapping(value = {"/", "/{id}"})
    public AjaxResult getInfo(String id) {
        BasePreventIce info = basePreventIceService.getInfo(id);
        AjaxResult ajax = AjaxResult.success();
        ajax.put("info",info);
        return ajax;
    }

    @ApiOperation(value = "列表")
    @GetMapping(value = "list")
    public TableDataInfo getList(BasePreventIce basePreventIce) {
        startPage();
        List<BasePreventIce> list = basePreventIceService.getList(basePreventIce);
        return getDataTable(list);
    }

}
